from time import time_ns
from typing import List
from unittest.mock import Base
from uuid import UUID
from pydantic import UUID4, BaseModel, Field

from . import cpu, memory, disk, network

class StatsDom(BaseModel):
    company_id:UUID4 = Field(default=UUID("cdd2d017-962b-41a6-b163-62b235fbec3f"))
    vm_id:UUID
    cpu:cpu.CPU
    memory:memory.Memory
    network:List[network.Interface]
    disk:List[disk.Disk]

class Stats(BaseModel):
    doms:List[StatsDom] = Field()